<?xml version="1.0" encoding="utf-8"?>
<policy version="1.0">
    <cmd id="1" name="qcom_cpu_info">
        <action>
            <big_cpu_num>7-7</big_cpu_num>
            <mid_cpu_num>4-6</mid_cpu_num>
            <lit_cpu_num>0-3</lit_cpu_num>
        </action>
    </cmd>

    <cmd id="4096" name="touch_move">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>2</sched_boost>
            <uclamp_top_app>35</uclamp_top_app>
            <uclamp_vip>35</uclamp_vip>
            <uclamp_graphic>35</uclamp_graphic>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
            <gov_big_cpu_load>101</gov_big_cpu_load>
        </action>
    </cmd>
    <cmd id="4098" name="window_switch">
        <action>
            <duration_ms>400</duration_ms>
            <sched_boost>2</sched_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_mid_cpu_load>110</gov_mid_cpu_load>
            <gov_big_cpu_load>113</gov_big_cpu_load>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <uclamp_top_app>50</uclamp_top_app>
            <uclamp_vip>60</uclamp_vip>
            <uclamp_graphic>60</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
        </action>
        <action isRtg="true">
            <duration_ms>650</duration_ms>
            <min_util>581</min_util>
        </action>
        <action>
            <duration_ms>6000</duration_ms>
            <gov_big_cpu_load>103</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <gov_big_cpu_delay_down>103</gov_big_cpu_delay_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>100</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>100</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>110</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>
    <cmd id="4099" name="app_start">
        <action>
            <duration_ms>1500</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>2227200</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2150400</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <gpu_min_freq>379</gpu_min_freq>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>90</uclamp_vip>
            <uclamp_graphic>50</uclamp_graphic>
            <uclamp_foreground>50</uclamp_foreground>
            <uclamp_boost>50</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>0</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
        <action>
            <duration_ms>1500</duration_ms>
            <gov_big_cpu_load>198</gov_big_cpu_load>
        </action>
        <action>
            <duration_ms>4000</duration_ms>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_mid_cpu_delay_down>110</gov_mid_cpu_delay_down>
            <gov_big_cpu_delay_down>110</gov_big_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_fast_up>110</gov_big_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <gov_mid_cpu_load>125</gov_mid_cpu_load>
            <gov_big_cpu_load>104</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
        </action>
    </cmd>

    <cmd id="4102" name="screen_on">
        <action>
            <duration_ms>1000</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1670400</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <gpu_min_freq>443</gpu_min_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4103" name="finger_print">
        <action>
            <duration_ms>1000</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2265600</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic> 
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>0</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
            <gov_big_cpu_load>200</gov_big_cpu_load>
        </action>
    </cmd>

    <cmd id="4104" name="status_bar">
        <action>
            <duration_ms>200</duration_ms>
            <sched_boost>1</sched_boost>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1670400</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic> 
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4105" name="rotation">
        <action>
            <duration_ms>1000</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1670400</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <gpu_min_freq>587</gpu_min_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>100</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>100</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>110</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <gov_big_cpu_load>101</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>110</gov_big_cpu_toptask_pcy>
        </action>
    </cmd>

    <cmd id="4106" name="lucky_money">
        <action>
            <duration_ms>500</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2150400</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4107" name="multi_screen_on">
        <action>
            <duration_ms>800</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1766400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2227200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1785600</big_cpu0_min_freq>
            <big_cpu0_max_freq>2380800</big_cpu0_max_freq>
            <gpu_min_freq>443</gpu_min_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>0</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4112" name="list_fling">
        <action>
            <duration_ms>5000</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1305600</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1209600</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <power_collapse>1</power_collapse>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>100</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>100</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>110</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <gov_big_cpu_load>101</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>110</gov_big_cpu_toptask_pcy>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <!-- set iaware default value -->
    <cmd id="4113" name="iaware_default">
        <action>
            <duration_ms>0</duration_ms>
            <gov_big_cpu_load>89</gov_big_cpu_load>
        </action>
    </cmd>

    <!-- set iaware screen off eas value -->
    <cmd id="4114" name="iaware_eas_screen_off">
        <action>
            <duration_ms>0</duration_ms>
            <uclamp_top_app>0</uclamp_top_app>
            <uclamp_vip>0</uclamp_vip>
            <uclamp_graphic>0</uclamp_graphic>
            <uclamp_foreground>0</uclamp_foreground>
            <uclamp_boost>0</uclamp_boost>
        </action>
    </cmd>

    <cmd id="4116" name="probe">
        <action>
            <duration_ms>100</duration_ms>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4118" name="special_scene">
        <action>
            <duration_ms>0</duration_ms>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <sched_boost>1</sched_boost>
            <gov_big_cpu_load>202</gov_big_cpu_load>
        </action>
    </cmd>

    <cmd id="4123" name="power_saving_mode">
        <action>
            <duration_ms>0</duration_ms>
            <gov_lit_cpu_delay_up>90</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>90</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>90</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>110</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>90</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>90</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>100</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>90</gov_big_cpu_delay_up>
            <gov_big_cpu_load>93</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>100</gov_big_cpu_toptask_pcy>
        </action>
    </cmd>

    <!--from 4394 to 4398, for touch boost. cmd id begin-->
    <cmd id="4394" name="touch_boost_level_1">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1305600</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1324800</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4395" name="touch_boost_level_2">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1497600</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4396" name="touch_boost_level_3">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4397" name="touch_boost_level_4">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1900800</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4398" name="touch_boost_level_5">
        <action>
            <duration_ms>80</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1766400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2054400</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1670400</big_cpu0_min_freq>
            <big_cpu0_max_freq>2361600</big_cpu0_max_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>
    <!--from 4394 to 4398, for touch boost. cmd id end-->

    <cmd id="4399" name="warm_start">
        <action>
            <duration_ms>400</duration_ms>
            <sched_boost>2</sched_boost>
            <little_cpu0_min_freq>1094400</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1209600</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1075200</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <gpu_min_freq>379</gpu_min_freq>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <uclamp_top_app>35</uclamp_top_app>
            <uclamp_vip>60</uclamp_vip>
            <uclamp_graphic>35</uclamp_graphic>
        </action>
        <action>
            <duration_ms>400</duration_ms>
            <gov_big_cpu_load>113</gov_big_cpu_load>
        </action>
        <action>
            <duration_ms>1000</duration_ms>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_mid_cpu_delay_down>110</gov_mid_cpu_delay_down>
            <gov_big_cpu_delay_down>110</gov_big_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_fast_up>110</gov_big_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>100</gov_mid_cpu_load>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <gov_big_cpu_load>101</gov_big_cpu_load>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>
    <cmd id="4400" name="click_normal">
        <action>
            <duration_ms>250</duration_ms>
            <gov_big_cpu_load>113</gov_big_cpu_load>
            <gpu_min_freq>379</gpu_min_freq>
            <uclamp_top_app>35</uclamp_top_app>
            <uclamp_vip>35</uclamp_vip>
            <uclamp_graphic>35</uclamp_graphic>
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <gov_mid_cpu_load>110</gov_mid_cpu_load>
            <gov_big_cpu_load>108</gov_big_cpu_load>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_delay_down>103</gov_big_cpu_delay_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>100</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
        <action isRtg="true">
            <duration_ms>150</duration_ms>
            <min_util>514</min_util>
        </action>
    </cmd>
    <cmd id="4401" name="click_boost">
        <action>
            <duration_ms>250</duration_ms>
            <little_cpu0_min_freq>998400</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1881600</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <gpu_min_freq>443</gpu_min_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>90</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
        </action>
        <action>
            <duration_ms>400</duration_ms>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>100</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>100</gov_mid_cpu_load>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <gov_big_cpu_load>101</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>110</gov_big_cpu_toptask_pcy>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
        <action isRtg="true">
            <duration_ms>250</duration_ms>
            <min_util>514</min_util>
        </action>
    </cmd>
    <cmd id="4402" name="slide_normal">
        <action>
            <duration_ms>250</duration_ms>
            <gov_big_cpu_load>113</gov_big_cpu_load>
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>100</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>100</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>110</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <gov_big_cpu_load>108</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>110</gov_big_cpu_toptask_pcy>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
        <action>
            <duration_ms>250</duration_ms>
            <little_cpu0_min_freq>998400</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1209600</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <gpu_min_freq>379</gpu_min_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
        </action>
    </cmd>
    <cmd id="4403" name="slide_boost">
        <action>
            <duration_ms>250</duration_ms>
            <little_cpu0_min_freq>998400</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1209600</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <gpu_min_freq>443</gpu_min_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>90</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>100</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>100</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>110</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <gov_big_cpu_load>101</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>110</gov_big_cpu_toptask_pcy>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <!--from 4412 to 4415, for soc intelligent schedule. cmd id start-->
    <cmd id="4412" name="slide_normal_remove_boost">
       <action>
            <duration_ms>250</duration_ms>
            <gov_big_cpu_load>113</gov_big_cpu_load>
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>100</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>100</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>110</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <gov_big_cpu_load>108</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>110</gov_big_cpu_toptask_pcy>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
        <action>
            <duration_ms>250</duration_ms>
            <gpu_min_freq>379</gpu_min_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
        </action>
    </cmd>

    <cmd id="4413" name="slide_boost_remove_boost">
        <action>
            <duration_ms>250</duration_ms>
            <gpu_min_freq>443</gpu_min_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>90</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
        </action>
        <action>
            <duration_ms>500</duration_ms>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>100</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>100</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>110</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
            <gov_big_cpu_load>101</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>110</gov_big_cpu_toptask_pcy>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>
    <!--from 4412 to 4415, for soc intelligent schedule. cmd id end-->

    <!--from 4405 to 4414, for itouch perf level. cmd id begin-->
    <cmd id="4405" name="itouch_perf_level_1">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1305600</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1324800</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1785600</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4406" name="itouch_perf_level_2">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1401600</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1440000</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1785600</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4407" name="itouch_perf_level_3">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1497600</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1555200</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1900800</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <gpu_min_freq>443</gpu_min_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4408" name="itouch_perf_level_4">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1670400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2035200</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="4409" name="itouch_perf_level_5">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1766400</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2035200</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>
    <!--from 4405 to 4414, for itouch perf level. cmd id end-->

    <!--for quickstep, DTS2018072501811 -->
    <cmd id="4416" power="13205" name="quickstep">
        <action>
            <duration_ms>450</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1305600</little_cpu0_min_freq>
            <middle_cpu0_min_freq>1324800</middle_cpu0_min_freq>
            <gpu_min_freq>587</gpu_min_freq>
            <uclamp_top_app>60</uclamp_top_app>
            <uclamp_vip>80</uclamp_vip>
            <uclamp_graphic>70</uclamp_graphic>
            <uclamp_foreground>50</uclamp_foreground>
            <uclamp_boost>50</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
            <gov_big_cpu_load>200</gov_big_cpu_load>
        </action>
    </cmd>

    <cmd id="5376" name="set_default_level"> <!--group num must be (eas:8, hmp:1)-->
        <action>
            <duration_ms>0</duration_ms>
            <hmp>0</hmp>
        </action>
    </cmd>

    <cmd id="5377" power="13205" name="decode_opt">
        <action>
            <duration_ms>100</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1305600</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>2227200</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2265600</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="5378" name="touch_down">
        <action>
            <duration_ms>100</duration_ms>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
            <gov_big_cpu_load>101</gov_big_cpu_load>
        </action>
    </cmd>

    <cmd id="5379" name="touch_up">
        <action>
            <duration_ms>100</duration_ms>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
            <gov_big_cpu_load>101</gov_big_cpu_load>
        </action>
    </cmd>

    <cmd id="12312" name="bcpu_level_20">
        <action>
            <duration_ms>7000</duration_ms>
            <middle_cpu0_min_freq>1766400</middle_cpu0_min_freq>
            <ddr_min_level>2</ddr_min_level>
            <cpu_idle>1</cpu_idle>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>90</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
        </action>
    </cmd>

    <cmd id="12354" name="gov_scene_level_4">
        <action>
            <duration_ms>0</duration_ms>
            <gov_lit_cpu_delay_up>90</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>90</gov_lit_cpu_delay_down>
            <gov_lit_cpu_load>90</gov_lit_cpu_load>
            <gov_lit_cpu_toptask_pcy>110</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>90</gov_mid_cpu_delay_up>
            <gov_mid_cpu_load>90</gov_mid_cpu_load>
            <gov_mid_cpu_toptask_pcy>100</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>90</gov_big_cpu_delay_up>
            <gov_big_cpu_load>93</gov_big_cpu_load>
            <gov_big_cpu_toptask_pcy>100</gov_big_cpu_toptask_pcy>
        </action>
    </cmd>

    <cmd id="12356" name="gov_scene_level_5">
        <action>
            <duration_ms>0</duration_ms>
            <gov_lit_cpu_delay_up>90</gov_lit_cpu_delay_up>
            <gov_lit_cpu_delay_down>90</gov_lit_cpu_delay_down>
            <gov_lit_cpu_toptask_pcy>110</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_delay_up>90</gov_mid_cpu_delay_up>
            <gov_mid_cpu_toptask_pcy>100</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_delay_up>90</gov_big_cpu_delay_up>
            <gov_big_cpu_toptask_pcy>100</gov_big_cpu_toptask_pcy>
            <gov_big_cpu_load>101</gov_big_cpu_load>
        </action>
    </cmd>

    <!--from 13050 to 13059, for game launch boost. cmd id begin-->
    <cmd id="13050" name="game_start_05">
        <action>
            <duration_ms>5000</duration_ms>
            <sched_boost>1</sched_boost>
            <power_collapse>1</power_collapse>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>90</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="13120" power="13205" name="ime_touchdown_boost">
        <action>
            <duration_ms>80</duration_ms>
            <little_cpu0_min_freq>1708800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1881600</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1670400</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>40</uclamp_vip>
            <uclamp_graphic>40</uclamp_graphic>
            <uclamp_foreground>40</uclamp_foreground>
            <uclamp_boost>40</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>6</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="13251" name="scan_boost">
        <action>
            <duration_ms>1500</duration_ms>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>2227200</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2150400</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
	    <gov_big_cpu_load>198</gov_big_cpu_load>
        </action>
        <action>
            <duration_ms>6000</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1612800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>1881600</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>1900800</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <gpu_min_freq>379</gpu_min_freq>
            <cpubw_hwmon_min_freq>59</cpubw_hwmon_min_freq>
            <lpm_bias_hyst>5</lpm_bias_hyst>
            <power_collapse>1</power_collapse>
            <uclamp_top_app>40</uclamp_top_app>
            <uclamp_vip>90</uclamp_vip>
            <uclamp_graphic>50</uclamp_graphic>
            <uclamp_foreground>50</uclamp_foreground>
            <uclamp_boost>50</uclamp_boost>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>0</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
        </action>
        <action>
            <duration_ms>6000</duration_ms>
            <gov_lit_cpu_delay_down>110</gov_lit_cpu_delay_down>
            <gov_mid_cpu_delay_down>110</gov_mid_cpu_delay_down>
            <gov_big_cpu_delay_down>110</gov_big_cpu_delay_down>
            <gov_lit_cpu_fast_up>110</gov_lit_cpu_fast_up>
            <gov_mid_cpu_fast_up>110</gov_mid_cpu_fast_up>
            <gov_big_cpu_fast_up>110</gov_big_cpu_fast_up>
            <gov_lit_cpu_fast_down>110</gov_lit_cpu_fast_down>
            <gov_mid_cpu_fast_down>110</gov_mid_cpu_fast_down>
            <gov_big_cpu_fast_down>110</gov_big_cpu_fast_down>
            <gov_lit_cpu_toptask_pcy>120</gov_lit_cpu_toptask_pcy>
            <gov_mid_cpu_toptask_pcy>120</gov_mid_cpu_toptask_pcy>
            <gov_big_cpu_toptask_pcy>120</gov_big_cpu_toptask_pcy>
            <gov_mid_cpu_load>125</gov_mid_cpu_load>
            <gov_big_cpu_load>104</gov_big_cpu_load>
            <gov_lit_cpu_delay_up>100</gov_lit_cpu_delay_up>
            <gov_lit_cpu_load>100</gov_lit_cpu_load>
            <gov_mid_cpu_delay_up>100</gov_mid_cpu_delay_up>
            <gov_big_cpu_delay_up>100</gov_big_cpu_delay_up>
        </action>
    </cmd>

    <cmd id="13252" name="faceid">
        <action>
            <duration_ms>1000</duration_ms>
            <gov_big_cpu_load>200</gov_big_cpu_load>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>0</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="13271" name="animation_boost">
        <action>
            <duration_ms>1000</duration_ms>
            <middle_cpu0_min_freq>1881600</middle_cpu0_min_freq>
            <gpu_min_freq>608</gpu_min_freq>
            <uclamp_graphic>90</uclamp_graphic>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>0</boost_cpu_limit1>
            <boost_cpu_limit2>6</boost_cpu_limit2>
            <power_collapse>1</power_collapse>
            <gov_big_cpu_load>200</gov_big_cpu_load>
        </action>
    </cmd>

    <cmd id="13299" name="powergenie_limit">
        <action>
           <duration_ms>0</duration_ms>
           <gov_big_cpu_load>194</gov_big_cpu_load>
        </action>
    </cmd>
    <cmd id="13300" name="limit_ignore">
        <action>
           <duration_ms>0</duration_ms>
           <gov_big_cpu_load>196</gov_big_cpu_load>
        </action>
    </cmd>
    <cmd id="13400" name="private_space_switch">
        <action>
            <duration_ms>5000</duration_ms>
            <sched_boost>1</sched_boost>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>2419200</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2841600</big_cpu0_min_freq>
            <big_cpu0_max_freq>2841600</big_cpu0_max_freq>
            <gov_lit_cpu_load>120</gov_lit_cpu_load>
            <gov_mid_cpu_load>140</gov_mid_cpu_load>
            <gov_big_cpu_load>241</gov_big_cpu_load>
            <soc_ipa_switch>0</soc_ipa_switch>
            <board_ipa_switch>0</board_ipa_switch>
            <boost_cpu_limit1>0</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
        </action>
    </cmd>

    <cmd id="13401" name="rsmc_beidou_message">
        <action>
            <duration_ms>20000</duration_ms>
            <little_cpu0_min_freq>1804800</little_cpu0_min_freq>
            <little_cpu0_max_freq>1804800</little_cpu0_max_freq>
            <middle_cpu0_min_freq>2419200</middle_cpu0_min_freq>
            <middle_cpu0_max_freq>2419200</middle_cpu0_max_freq>
            <big_cpu0_min_freq>2380800</big_cpu0_min_freq>
            <big_cpu0_max_freq>2380800</big_cpu0_max_freq>
            <gov_lit_cpu_load>120</gov_lit_cpu_load>
            <gov_mid_cpu_load>140</gov_mid_cpu_load>
            <gov_big_cpu_load>241</gov_big_cpu_load>
            <boost_cpu_limit1>0</boost_cpu_limit1>
            <boost_cpu_limit2>0</boost_cpu_limit2>
        </action>
    </cmd>

</policy>
